Skip to main content

Get balance receipt

GET https://wallet.paysera.com/rest/v1/wallet/{walletId}/receipt/balance

Get receipt text for wallet balance (offline/gateway clients only).

Receipt should be printed and given to the user.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
walletIdstring✓Wallet identifier

Query Parameters​

NameTypeRequiredDescription
localestringLocale for text translation
widthintegerMaximum symbol count per line

Example​

Request​

GET https://wallet.paysera.com/rest/v1/wallet/{walletId}/receipt/balance?locale=value&width=value
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"

Response​

{
"text": "Your balance: 22.99 EUR, 1.00 USD"
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com
Query Parameters
locale
Locale for text translation
width
Maximum symbol count per line

RESPONSE

Receipt retrieved
{
"text": "Your balance: 22.99 EUR, 1.00 USD"
}